## com.gargoylesoftware.htmlunit.util
Class MapWrapper<K,V>

    java.lang.Object
      com.gargoylesoftware.htmlunit.util.MapWrapper<K,V>

Type Parameters:
  `K` - the type of the map key
  `V` - the type of the value

All Implemented Interfaces:
  java.io.Serializable, java.util.Map<K,V>

    public class MapWrapper<K,V>

extends java.lang.Object
implements java.util.Map<K,V>, java.io.Serializable

Map implementation delegating all calls to the wrapped `Map` instance. This class is `Serializable`, but serialization will fail if the wrapped map is not itself `Serializable`.

Version:
  $Revision: 4767 $
Author:
  Marc Guillemot
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`protected` `MapWrapper()` Simple constructor.
`` `MapWrapper(java.util.Map<K,V> map)` Initializes the wrapper with its wrapped map.

Method Summary
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<K,V>>` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`V` `get(java.lang.Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set<K>` `keySet()`
`V` `put(K key, V value)`
`void` `putAll(java.util.Map<? extends K,? extends V> t)`
`V` `remove(java.lang.Object key)`
`int` `size()`
`java.util.Collection<V>` `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapWrapper

    protected MapWrapper()

  Simple constructor. Needed to allow subclasses to be serializable.

### MapWrapper

    public MapWrapper(java.util.Map<K,V> map)

  Initializes the wrapper with its wrapped map.

  Parameters:
    `map` - the map to wrap.

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<K,V>`
  Overrides:
    `equals` in class `java.lang.Object`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,V>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<K,V>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> t)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.